Package org.apache.tapestry5.services

## Interface ResourceDigestGenerator

- All Known Implementing Classes:
    `ResourceDigestGeneratorImpl`

      @UsesConfiguration(java.lang.String.class)
      public interface ResourceDigestGenerator

  Deprecated.
  Deprecated in 5.4 with no replacement; see release notes about classpath assets moving to /META-INF/assets/, and content checksums inside asset URLs
  Responsible for determining which classpath resources require checksums, and for generating checksums for such resources. The service's configuration identifies which file extensions will be secured using an checksum. The default list (in Tapestry 5.3) is "class" and "tml". Note that in 5.4, there are no longer any contributions to this service by Tapestry, and that the service is not normally instantiated: it is maintained for backwards compatibility, in case applications or third-party modules make a contribution.
  See Also:
    `ClasspathResource`, `ClasspathAssetFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `generateDigest​(java.net.URL url)` | Deprecated. Reads the content of a URL (presumably, for a resource on the classpath) and generates a digest of its content.
    `boolean` | `requiresDigest​(java.lang.String path)` | Deprecated. Examines the path (typically, the file name extension at the end of the path) to determine if a checksum is required for the path.

- - ### Method Detail

    - #### requiresDigest

          boolean requiresDigest​(java.lang.String path)

      Deprecated.
      Examines the path (typically, the file name extension at the end of the path) to determine if a checksum is required for the path. The path is `Resource` style, without a leading slash. As of Tapestry 5.4, simply returns false.

    - #### generateDigest

          java.lang.String generateDigest​(java.net.URL url)

      Deprecated.
      Reads the content of a URL (presumably, for a resource on the classpath) and generates a digest of its content. This digest will be incorporated into the URL provided to the client, to verify that the client has been "granted" access to this resource. This is only used for resources where `requiresDigest(String)` is true. As of Tapestry 5.4, simply returns null.
      Parameters:
        `url` -
      Returns:
        the digest for the resource